<li [ngClass]="{'list-group-item': true,
                'list-group-item-success': postLoveIts > 0,
                'list-group-item-danger': postLoveIts < 0}">
  <h3>
    {{ postTitle }}
    <small [ngClass]="{'pull-right': true}" [ngStyle]="{'font-style': 'italic'}">{{ postDate | date: 'M/d/yyyy h:mm a' | uppercase }}</small>
  </h3>
  <p>
    {{ postContent }}
  </p>
  <button class="btn btn-success" (click)="onLoveIt()">Love it!</button>
  <button class="btn btn-danger" (click)="onDontLoveIt()">Don't Love it!</button>
  Total Loves: {{ postLoveIts }}
</li>
